OCF_HEARTBEAT_CLVM(7)

NAME
ocf_heartbeat_clvm - clvmd

SYNOPSIS

clvm [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This agent manages the clvmd daemon.

SUPPORTED PARAMETERS

with_cmirrord
    Start with cmirrord (cluster mirror log daemon).

    (optional, boolean, default false)

daemon_options
    Options to clvmd. Refer to clvmd.8 for detailed descriptions.

    (optional, string, default "-d0")

activate_vgs
    Whether or not to activate all cluster volume groups after starting the clvmd or not. Note that clustered volume groups will always be deactivated before the clvmd stops regardless of what this option is set to.

    (optional, boolean, default true)

exclusive
    If set, only exclusive volume groups will be monitored.

    (optional, boolean, default false)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 90s.

stop
    Stops the resource. Suggested minimum timeout: 90s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 90s. Suggested interval: 30s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 10s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

EXAMPLE CRM SHELL

The following is an example configuration for a clvm resource using the crm(8) shell:

    primitive p_clvm ocf:heartbeat:clvm \
      op monitor timeout="90s" interval="30s" depth="0"

EXAMPLE PCS

The following is an example configuration for a clvm resource using pcs(8)

    pcs resource create p_clvm ocf:heartbeat:clvm \
      op monitor timeout="90s" interval="30s" OCF_CHECK_LEVEL="0"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)